#
# spec file for package libdaemon (Version 0.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils doxygen e2fsprogs expat file filesystem fillup findutils flex fontconfig gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libjpeg libnscd libpng libstdc++ libtool libxcrypt libzio lynx m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xli xorg-x11-libs zlib zlib-devel

Name:           libdaemon
BuildRequires:  doxygen lynx
URL:            http://0pointer.de/lennart/projects/libdaemon/
Version:        0.10
Release:        13.2
Summary:        Lightweight C library That Eases the Writing of UNIX Daemons
License:        LGPL
Group:          System/Libraries
Source:         %{name}-%{version}.tar.bz2
Patch:          %{name}-attributes.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Prefix:         /usr
%debug_package
%package devel
Summary:        libdaemon is a lightweight C library that eases the writing of UNIX daemons.
Group:          System/Libraries
Requires:       %{name} = %{version}

%description
libdaemon is a lightweight C library that eases the writing of UNIX
daemons. It consists of the following parts:

* A wrapper around fork() that does the correct daemonization
   procedure of a process

* A wrapper around syslog() for simpler log output compatible with
   syslog or STDERR

* An API for writing PID files

* An API for serializing UNIX signals into a pipe for usage with
   select() or poll()

* An API for running subprocesses with STDOUT and STDERR redirected
   to syslog

APIs like these are used in most daemon software available. It is not
that simple to get it done right and code duplication is not a goal.



Authors:
--------
    Lennart Poettering <mzqnrzba (at) 0pointer (dot) de>


%description devel
libdaemon is a lightweight C library that eases the writing of UNIX
daemons. It consists of the following parts:

* A wrapper around fork() which does the correct daemonization
   procedure of a process

* A wrapper around syslog() for simpler and compatible log output to
   Syslog or STDERR

* An API for writing PID files

* An API for serializing UNIX signals into a pipe for usage with
   select() or poll()

* An API for running subprocesses with STDOUT and STDERR redirected
   to syslog.

APIs like these are used in most daemon software available. It is not
that simple to get it done right and code duplication is not a goal.



Authors:
--------
    Lennart Poettering <mzqnrzba (at) 0pointer (dot) de>

%prep
%setup
%patch

%build
export CFLAGS="$RPM_OPT_FLAGS"
./configure --prefix=/usr --libdir=%{_libdir}
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%files
%defattr (-,root,root)
%{_libdir}/libdaemon.so.*

%files devel
%defattr (-,root,root)
%{_libdir}/libdaemon.so
%{_libdir}/libdaemon.la
%{_libdir}/libdaemon.a
%{_libdir}/pkgconfig/libdaemon.pc
/usr/include/libdaemon

%changelog -n libdaemon
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Sun Jan 22 2006 - cthiel@suse.de
- update to version 0.10
* Mon Oct 31 2005 - dmueller@suse.de
- don't build as root
* Fri Sep 23 2005 - sbrabec@suse.cz
- Fixed devel dependencies.
* Tue May 31 2005 - ro@suse.de
- fix libdir in pkgconfig file
* Sat Feb 05 2005 - meissner@suse.de
- added attributes
* Wed Jan 19 2005 - seife@suse.de
- update to version 0.7
* Thu Aug 12 2004 - seife@suse.de
- add libpng to neededforbuild (now required by doxygen)
* Mon Jun 21 2004 - seife@suse.de
- initial package submission
